org.richfaces.component

## Class UIContextMenu

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractMenuContainer
      - - org.richfaces.component.AbstractContextMenu
        - - org.richfaces.component.UIContextMenu

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, CoreProps, DisabledProps, EventsKeyProps, EventsMouseProps, EventsPopupsProps, I18nProps, PositionProps

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIContextMenu
      extends AbstractContextMenu
      implements javax.faces.component.behavior.ClientBehaviorHolder, CoreProps, EventsKeyProps, EventsMouseProps, I18nProps, PositionProps

  The <rich:contextMenu> component is used for creating a hierarchical context menu that are activated on events like onmouseover, onclick etc. The component can be applied to any element on the page.

  Author:
    Brian Leathem

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIContextMenu.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIContextMenu()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultEventName()`
    `String` | `getDir()` Direction indication for text that does not inherit directionality.
    `Positioning` | `getDirection()` Set the direction of the popup.
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `int` | `getHideDelay()` Delay (in ms) between losing focus and menu closing
    `int` | `getHorizontalOffset()` Sets the horizontal offset between popup element and the conjunction point
    `Positioning` | `getJointPoint()` Set the corner attachment point with which the popup should be connected.
    `String` | `getLang()` Code describing the language used in the generated markup for this component.
    `Mode` | `getMode()` Sets the submission mode for all menu items of the menu except those where this attribute redefined.
    `String` | `getOnclick()` Javascript code executed when a pointer button is clicked over this element.
    `String` | `getOndblclick()` Javascript code executed when a pointer button is double clicked over this element.
    `String` | `getOngrouphide()` The client-side script method to be called when a child menuGroup is hidden
    `String` | `getOngroupshow()` The client-side script method to be called when a child menuGroup is expanded
    `String` | `getOnhide()` The client-side code executed after the popup disappears.
    `String` | `getOnitemclick()` The client-side script method to be called when a menu item is clicked
    `String` | `getOnkeydown()` Javascript code executed when a key is pressed down over this element.
    `String` | `getOnkeypress()` Javascript code executed when a key is pressed and released over this element.
    `String` | `getOnkeyup()` Javascript code executed when a key is released over this element.
    `String` | `getOnmousedown()` Javascript code executed when a pointer button is pressed down over this element.
    `String` | `getOnmousemove()` Javascript code executed when a pointer button is moved within this element.
    `String` | `getOnmouseout()` Javascript code executed when a pointer button is moved away from this element.
    `String` | `getOnmouseover()` Javascript code executed when a pointer button is moved onto this element.
    `String` | `getOnmouseup()` Javascript code executed when a pointer button is released over this element.
    `String` | `getOnshow()` The client-side code executed after the popup is shown.
    `int` | `getPopupWidth()` Sets minimum width for all lists that will appear.
    `int` | `getShowDelay()` Delay (in ms) between observing the showEvent and menu opening
    `String` | `getShowEvent()` Defines an event on the parent element to display the menu
    `String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
    `String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
    `String` | `getTarget()` Client identifier of the component or id of the existing DOM element that is a source for a given event.
    `String` | `getTargetSelector()` The jQuery selector used to filter which child DOM elements of the target/parent to which the contextMenu will be attached.
    `String` | `getTitle()` Advisory title information about markup elements generated for this component.
    `int` | `getVerticalOffset()` Sets the vertical offset between popup element and the conjunction point
    `boolean` | `isAttached()` If the value of the 'attached' attribute is true, the component is attached to the component, specified in the 'target' attribute or to the parent component, if 'target' is not defined.
    `boolean` | `isDisabled()` Flag indicating that this element must never receive focus or be included in a subsequent submit.
    `void` | `setAttached(boolean attached)`
    `void` | `setDir(String dir)`
    `void` | `setDirection(Positioning direction)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setHideDelay(int hideDelay)`
    `void` | `setHorizontalOffset(int horizontalOffset)`
    `void` | `setJointPoint(Positioning jointPoint)`
    `void` | `setLang(String lang)`
    `void` | `setMode(Mode mode)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOngrouphide(String ongrouphide)`
    `void` | `setOngroupshow(String ongroupshow)`
    `void` | `setOnhide(String onhide)`
    `void` | `setOnitemclick(String onitemclick)`
    `void` | `setOnkeydown(String onkeydown)`
    `void` | `setOnkeypress(String onkeypress)`
    `void` | `setOnkeyup(String onkeyup)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setOnshow(String onshow)`
    `void` | `setPopupWidth(int popupWidth)`
    `void` | `setShowDelay(int showDelay)`
    `void` | `setShowEvent(String showEvent)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTarget(String target)`
    `void` | `setTargetSelector(String targetSelector)`
    `void` | `setTitle(String title)`
    `void` | `setVerticalOffset(int verticalOffset)`

    - ### Methods inherited from class org.richfaces.component.AbstractContextMenu

      `getCssRoot`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIContextMenu

          public UIContextMenu()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### isAttached

          public boolean isAttached()

      Description copied from class: `AbstractContextMenu`
      If the value of the 'attached' attribute is true, the component is attached to the component, specified in the 'target' attribute or to the parent component, if 'target' is not defined. Default value is 'true'.
      Specified by:
        `isAttached` in class `AbstractContextMenu`

    - #### setAttached

          public void setAttached(boolean attached)

    - #### getDir

          public String getDir()

      Description copied from interface: `I18nProps`
      Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left).
      Specified by:
        `getDir` in interface `I18nProps`

    - #### setDir

          public void setDir(String dir)

    - #### getDirection

          public Positioning getDirection()

      Description copied from interface: `PositionProps`

      Set the direction of the popup. Possible values are:
      AA (auto), LT (topLeft), RT (topRight), LB (bottomLeft), RB (bottomRight, LA (autoLeft), RA (autoRight), AT (topAuto), AB (bottomAuto)

      Default value is auto

      Specified by:
        `getDirection` in interface `PositionProps`

    - #### setDirection

          public void setDirection(Positioning direction)

    - #### isDisabled

          public boolean isDisabled()

      Description copied from interface: `DisabledProps`
      Flag indicating that this element must never receive focus or be included in a subsequent submit.
      Specified by:
        `isDisabled` in interface `DisabledProps`

    - #### setDisabled

          public void setDisabled(boolean disabled)

    - #### getHideDelay

          public int getHideDelay()

      Description copied from class: `AbstractMenuContainer`

      Delay (in ms) between losing focus and menu closing

      Default value is "300"

      Specified by:
        `getHideDelay` in class `AbstractMenuContainer`

    - #### setHideDelay

          public void setHideDelay(int hideDelay)

    - #### getHorizontalOffset

          public int getHorizontalOffset()

      Description copied from interface: `PositionProps`

      Sets the horizontal offset between popup element and the conjunction point

      Default value is 0

      Specified by:
        `getHorizontalOffset` in interface `PositionProps`

    - #### setHorizontalOffset

          public void setHorizontalOffset(int horizontalOffset)

    - #### getJointPoint

          public Positioning getJointPoint()

      Description copied from interface: `PositionProps`

      Set the corner attachment point with which the popup should be connected. Possible values are:
      AA (auto), LT (topLeft), RT (topRight), LB (bottomLeft), RB (bottomRight, LA (autoLeft), RA (autoRight), AT (topAuto), AB (bottomAuto)

      Default value is auto

      Specified by:
        `getJointPoint` in interface `PositionProps`
      Specified by:
        `getJointPoint` in class `AbstractContextMenu`

    - #### setJointPoint

          public void setJointPoint(Positioning jointPoint)

    - #### getLang

          public String getLang()

      Description copied from interface: `I18nProps`
      Code describing the language used in the generated markup for this component.
      Specified by:
        `getLang` in interface `I18nProps`

    - #### setLang

          public void setLang(String lang)

    - #### getMode

          public Mode getMode()

      Description copied from class: `AbstractMenuContainer`

      Sets the submission mode for all menu items of the menu except those where this attribute redefined. Possible value are 'ajax','client' and 'server'

      Default value is 'server'

      Specified by:
        `getMode` in class `AbstractMenuContainer`

    - #### setMode

          public void setMode(Mode mode)

    - #### getOnclick

          public String getOnclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is clicked over this element.
      Specified by:
        `getOnclick` in interface `EventsMouseProps`

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### getOndblclick

          public String getOndblclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is double clicked over this element.
      Specified by:
        `getOndblclick` in interface `EventsMouseProps`

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### getOngrouphide

          public String getOngrouphide()

      Description copied from class: `AbstractMenuContainer`
      The client-side script method to be called when a child menuGroup is hidden
      Specified by:
        `getOngrouphide` in class `AbstractMenuContainer`

    - #### setOngrouphide

          public void setOngrouphide(String ongrouphide)

    - #### getOngroupshow

          public String getOngroupshow()

      Description copied from class: `AbstractMenuContainer`
      The client-side script method to be called when a child menuGroup is expanded
      Specified by:
        `getOngroupshow` in class `AbstractMenuContainer`

    - #### setOngroupshow

          public void setOngroupshow(String ongroupshow)

    - #### getOnhide

          public String getOnhide()

      Description copied from interface: `EventsPopupsProps`
      The client-side code executed after the popup disappears.
      Specified by:
        `getOnhide` in interface `EventsPopupsProps`

    - #### setOnhide

          public void setOnhide(String onhide)

    - #### getOnitemclick

          public String getOnitemclick()

      Description copied from class: `AbstractMenuContainer`
      The client-side script method to be called when a menu item is clicked
      Specified by:
        `getOnitemclick` in class `AbstractMenuContainer`

    - #### setOnitemclick

          public void setOnitemclick(String onitemclick)

    - #### getOnkeydown

          public String getOnkeydown()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is pressed down over this element.
      Specified by:
        `getOnkeydown` in interface `EventsKeyProps`

    - #### setOnkeydown

          public void setOnkeydown(String onkeydown)

    - #### getOnkeypress

          public String getOnkeypress()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is pressed and released over this element.
      Specified by:
        `getOnkeypress` in interface `EventsKeyProps`

    - #### setOnkeypress

          public void setOnkeypress(String onkeypress)

    - #### getOnkeyup

          public String getOnkeyup()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is released over this element.
      Specified by:
        `getOnkeyup` in interface `EventsKeyProps`

    - #### setOnkeyup

          public void setOnkeyup(String onkeyup)

    - #### getOnmousedown

          public String getOnmousedown()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is pressed down over this element.
      Specified by:
        `getOnmousedown` in interface `EventsMouseProps`

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### getOnmousemove

          public String getOnmousemove()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved within this element.
      Specified by:
        `getOnmousemove` in interface `EventsMouseProps`

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### getOnmouseout

          public String getOnmouseout()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved away from this element.
      Specified by:
        `getOnmouseout` in interface `EventsMouseProps`

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnmouseover

          public String getOnmouseover()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved onto this element.
      Specified by:
        `getOnmouseover` in interface `EventsMouseProps`

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### getOnmouseup

          public String getOnmouseup()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is released over this element.
      Specified by:
        `getOnmouseup` in interface `EventsMouseProps`

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### getOnshow

          public String getOnshow()

      Description copied from interface: `EventsPopupsProps`
      The client-side code executed after the popup is shown.
      Specified by:
        `getOnshow` in interface `EventsPopupsProps`

    - #### setOnshow

          public void setOnshow(String onshow)

    - #### getPopupWidth

          public int getPopupWidth()

      Description copied from class: `AbstractMenuContainer`
      Sets minimum width for all lists that will appear.
      Specified by:
        `getPopupWidth` in class `AbstractMenuContainer`

    - #### setPopupWidth

          public void setPopupWidth(int popupWidth)

    - #### getShowDelay

          public int getShowDelay()

      Description copied from class: `AbstractMenuContainer`

      Delay (in ms) between observing the showEvent and menu opening

      Default value is "50"

      Specified by:
        `getShowDelay` in class `AbstractMenuContainer`

    - #### setShowDelay

          public void setShowDelay(int showDelay)

    - #### getShowEvent

          public String getShowEvent()

      Description copied from class: `AbstractMenuContainer`

      Defines an event on the parent element to display the menu

      Default value is 'contextmenu'

      Specified by:
        `getShowEvent` in class `AbstractMenuContainer`

    - #### setShowEvent

          public void setShowEvent(String showEvent)

    - #### getStyle

          public String getStyle()

      Description copied from interface: `CoreProps`
      CSS style(s) to be applied when this component is rendered.
      Specified by:
        `getStyle` in interface `CoreProps`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Description copied from interface: `CoreProps`
      Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getStyleClass` in interface `CoreProps`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getTarget

          public String getTarget()

      Description copied from class: `AbstractContextMenu`
      Client identifier of the component or id of the existing DOM element that is a source for a given event. If target is defined, the event is attached on the client. If both attached and target attributes are defined, and attribute attached has value 'false', it is considered to have higher priority.
      Specified by:
        `getTarget` in class `AbstractContextMenu`

    - #### setTarget

          public void setTarget(String target)

    - #### getTargetSelector

          public String getTargetSelector()

      Description copied from class: `AbstractContextMenu`
      The jQuery selector used to filter which child DOM elements of the target/parent to which the contextMenu will be attached.
      Specified by:
        `getTargetSelector` in class `AbstractContextMenu`

    - #### setTargetSelector

          public void setTargetSelector(String targetSelector)

    - #### getTitle

          public String getTitle()

      Description copied from interface: `CoreProps`
      Advisory title information about markup elements generated for this component.
      Specified by:
        `getTitle` in interface `CoreProps`

    - #### setTitle

          public void setTitle(String title)

    - #### getVerticalOffset

          public int getVerticalOffset()

      Description copied from interface: `PositionProps`

      Sets the vertical offset between popup element and the conjunction point

      Default value is 0

      Specified by:
        `getVerticalOffset` in interface `PositionProps`

    - #### setVerticalOffset

          public void setVerticalOffset(int verticalOffset)

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.